cobbler not lintian clean (lot's of warnings)

Bug #705436 reported by Jamie Strandboge on 2011-01-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cobbler (Ubuntu)
Low
Dave Walker

Bug Description

There are a lot of lintian warnings with the cobbler binaries. It would be good to get these cleaned up:

$ lintian cobbler_2.1.0~bzr1881-0ubuntu1_i386.changes:
W: cobbler: copyright-refers-to-deprecated-bsd-license-file
W: cobbler: old-fsf-address-in-copyright-file
W: cobbler: binary-without-manpage usr/bin/cobbler
W: cobbler: binary-without-manpage usr/bin/cobbler-ext-nodes
W: cobbler: binary-without-manpage usr/bin/cobblerd
W: cobbler: binary-without-manpage usr/sbin/tftpd.py
W: cobbler: maintainer-script-ignores-errors postrm
W: cobbler: script-in-etc-init.d-not-registered-via-update-rc.d /etc/init.d/cobbler
W: cobbler: script-with-language-extension usr/sbin/tftpd.py
W: python-cobbler: old-versioned-python-dependency depends: python (<< 2.8)
W: python-cobbler: copyright-refers-to-deprecated-bsd-license-file
W: python-cobbler: old-fsf-address-in-copyright-file
W: cobbler-common: copyright-refers-to-deprecated-bsd-license-file
W: cobbler-common: old-fsf-address-in-copyright-file
W: cobbler-common: manpage-has-errors-from-pod2man usr/share/man/man1/cobbler.1.gz:974
W: cobbler-web: copyright-refers-to-deprecated-bsd-license-file
W: cobbler-web: old-fsf-address-in-copyright-file
W: cobbler-web: script-not-executable ./usr/share/cobbler/webroot/cobbler/aux/anamon
W: cobbler-web: script-not-executable ./usr/share/cobbler/webroot/cobbler/aux/anamon.init
W: cobbler-web: executable-not-elf-or-script ./usr/share/cobbler/webroot/cobbler/svc/services.py
W: koan: copyright-refers-to-deprecated-bsd-license-file
W: koan: old-fsf-address-in-copyright-file
W: libcobbler4j-java: wrong-section-according-to-package-name libcobbler4j-java => java
W: libcobbler4j-java: copyright-refers-to-deprecated-bsd-license-file
W: libcobbler4j-java: old-fsf-address-in-copyright-file

$ lintian cobbler-common_2.1.0~bzr1881-0ubuntu1_all.deb:
W: cobbler-common: copyright-refers-to-deprecated-bsd-license-file
W: cobbler-common: old-fsf-address-in-copyright-file
W: cobbler-common: manpage-has-errors-from-pod2man usr/share/man/man1/cobbler.1.gz:974

$ lintian cobbler-web_2.1.0~bzr1881-0ubuntu1_all.deb:
W: cobbler-web: copyright-refers-to-deprecated-bsd-license-file
W: cobbler-web: old-fsf-address-in-copyright-file
W: cobbler-web: script-not-executable ./usr/share/cobbler/webroot/cobbler/aux/anamon
W: cobbler-web: script-not-executable ./usr/share/cobbler/webroot/cobbler/aux/anamon.init
W: cobbler-web: executable-not-elf-or-script ./usr/share/cobbler/webroot/cobbler/svc/services.py

$ lintian cobbler_2.1.0~bzr1881-0ubuntu1_all.deb:
W: cobbler: copyright-refers-to-deprecated-bsd-license-file
W: cobbler: old-fsf-address-in-copyright-file
W: cobbler: binary-without-manpage usr/bin/cobbler
W: cobbler: binary-without-manpage usr/bin/cobbler-ext-nodes
W: cobbler: binary-without-manpage usr/bin/cobblerd
W: cobbler: binary-without-manpage usr/sbin/tftpd.py
W: cobbler: maintainer-script-ignores-errors postrm
W: cobbler: script-in-etc-init.d-not-registered-via-update-rc.d /etc/init.d/cobbler
W: cobbler: script-with-language-extension usr/sbin/tftpd.py

$ lintian koan_2.1.0~bzr1881-0ubuntu1_all.deb:
W: koan: copyright-refers-to-deprecated-bsd-license-file
W: koan: old-fsf-address-in-copyright-file

$ lintian libcobbler4j-java_2.1.0~bzr1881-0ubuntu1_all.deb:
W: libcobbler4j-java: wrong-section-according-to-package-name libcobbler4j-java => java
W: libcobbler4j-java: copyright-refers-to-deprecated-bsd-license-file
W: libcobbler4j-java: old-fsf-address-in-copyright-file

$ lintian python-cobbler_2.1.0~bzr1881-0ubuntu1_all.deb:
W: python-cobbler: old-versioned-python-dependency depends: python (<< 2.8)
W: python-cobbler: copyright-refers-to-deprecated-bsd-license-file
W: python-cobbler: old-fsf-address-in-copyright-file

Related branches

James Page (james-page) on 2011-01-20
Changed in cobbler (Ubuntu):
assignee: nobody → Chuck Short (zulcss)
importance: Undecided → Low
status: New → Confirmed
Dave Walker (davewalker) on 2011-06-03
Changed in cobbler (Ubuntu):
assignee: Chuck Short (zulcss) → Dave Walker (davewalker)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cobbler - 2.1.0-0ubuntu11

---------------
cobbler (2.1.0-0ubuntu11) oneiric; urgency=low

  * Fixed Lintian error/warnings. (LP: #705436)
    - debian/{po/,control,cobbler.templates}: Added I18N support to debconf
      template file.
    - debian/control:
      + Bumped Standards Version to 3.9.2 (no changes needed)
      + Changed python-koan binary package to section python.
    - debian/copyright:
      + Updated Free Software Foundation (FSF) postal address.
      + Removed reference to base-files BSD licence.
    - debian/patches/44_cobbler_manpage_syntax_fix.patch: Fix manpage to not
      generate errors with pod2man.
    - debian/{rules,cobbler.install}: Drop file extension to /usr/sbin/tftpd.py
    - debian/cobbler.postrm: Set -e on shebang.
    - debian/cobbler-web.lintian-overrides: Overide warning of scripts which
      are purely provided as a web resource, never executed locally.
    - debian/cobbler.manpages, debian/manpages/{cobbler-ext-nodes.1,cobblerd.1,
      tftpd.1}: Initial manpages created.
  * debian/control: Added Depends on python-twisted which is required by
    cobblers tftpd.
 -- Dave Walker (Daviey) <email address hidden> Fri, 03 Jun 2011 13:09:09 +0100

Changed in cobbler (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers